import 'package:adaptix/adaptix.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:sapaly_shop/themes/app_theme.dart';

import '../../../constants/global_variables.dart';

class Dashboard extends StatelessWidget {
  const Dashboard({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      color: AppTheme.lightBackgroundColor,
      child: Container(
        alignment: Alignment.center,
        height: GlobalVariables.deviceHeight(context) / 2,
        margin: EdgeInsets.symmetric(horizontal: 15.adaptedPx()),
        decoration: BoxDecoration(
            color: AppTheme.whiteColor,
            borderRadius: BorderRadius.circular(16.adaptedPx())),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Image.asset(
                  'assets/images/sapalyLogo.png',
                  width: 60.adaptedPx(),
                  height: 60.adaptedPx(),
                ),
                SizedBox(width: 10.adaptedPx()),
                Text(
                  GlobalVariables.kAppName,
                  style: GoogleFonts.poppins(
                    textStyle:
                        Theme.of(context).primaryTextTheme.bodyMedium!.copyWith(
                              fontWeight: FontWeight.w500,
                              fontSize: 18.adaptedPx(),
                              color: AppTheme.blackColor,
                            ),
                  ),
                ),
              ],
            ),
            Text(
              'Dil saylan',
              style: GoogleFonts.poppins(
                textStyle:
                    Theme.of(context).primaryTextTheme.bodyMedium!.copyWith(
                          fontWeight: FontWeight.w500,
                          fontSize: 18.adaptedPx(),
                          color: AppTheme.blackColor,
                        ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
